﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class ApfelBehaviour : TriggerObject {

	public float catcherSpeed = 0.0f;
	public Transform catcher;
	public int range = 0;

	public float frequence = 0.0f;
	private int run_count;
	public bool toTop = true;

	void Start(){
		run_count = range;
	}

	// Update is called once per frame
	public override void performAction () {
		if (run_count > 0 && toTop == true) {
			Debug.Log ("UP");
			catcher.transform.position = new Vector3 (catcher.transform.position.x , catcher.transform.position.y, catcher.transform.position.z + 1.0f);
			run_count--;
			if (run_count == 0) {
				toTop = false;
				run_count = range;
			}
		} else if (run_count > 0 && toTop == false) {
			Debug.Log ("DOWN");
			catcher.transform.position = new Vector3 (catcher.transform.position.x , catcher.transform.position.y, catcher.transform.position.z - 1.0f);
			run_count--;
			if (run_count == 0) {
				toTop = true;
				run_count = range;
			}
		} 
	}

	void OnCollisionEnter(Collision coll){		
			coll.gameObject.GetComponent<AudioSource> ().Play ();
			SceneManager.LoadScene ("winScene");
		} 
}
