﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class CatcherBehaviour : TriggerObject {

	public float catcherSpeed = 0.0f;
	public Transform catcher;
	public int range = 0;

	public float frequence = 0.0f;
	private int run_count;
	public bool toLeft = true;

	void Start(){
		run_count = range;
		//InvokeRepeating ("Move", frequence, frequence);
	}

	// Update is called once per frame
	public override void performAction () {
		if (run_count > 0 && toLeft == true) {
			catcher.transform.position = new Vector3 (catcher.transform.position.x - 1.0f, catcher.transform.position.y, catcher.transform.position.z);
			run_count--;
		} else if (run_count == 0 && toLeft == true) {
			toLeft = false;
			run_count = range;
		}

		if (run_count > 0 && toLeft == false) {
			catcher.transform.position = new Vector3 (catcher.transform.position.x + 1.0f, catcher.transform.position.y, catcher.transform.position.z);
			run_count--;
		} else if (run_count == 0 && toLeft == false) {
			toLeft = true;
			run_count = range;
		}
	}

	void OnCollisionEnter(Collision coll){
		if (coll.gameObject.tag == "Coin") {
			coll.gameObject.GetComponent<AudioSource> ().Play ();
			SceneManager.LoadScene ("openingScene2");
		} else if (coll.gameObject.tag == "Trash") {
			Destroy (coll.gameObject);
		}
	}
}
