﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ConveyorBehaviour : MonoBehaviour {

	public float speed = 2.0f;
	private bool onConveyor = false;
	private bool right = false;
	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update () {
		if (onConveyor) {
			if (right) {
				transform.Translate (Vector2.right * speed * Time.deltaTime);
			} else {
				transform.Translate (Vector2.right * speed * Time.deltaTime);
			}

		}
	}

	void OnCollisionEnter(Collision coll){
		if (coll.gameObject.tag == "conveyorRight") {
			onConveyor = true;
			speed = 2.0f;
			right = true;
		} else if (coll.gameObject.tag == "conveyorLeft") {
			onConveyor = true;
			speed = -2.0f;
			right = false;
		}
	}

	void OnCollisionStay(Collision coll){
		if (coll.gameObject.tag == "conveyorRight") {
			onConveyor = true;
			speed = 2.0f;
			right = true;
		} else if (coll.gameObject.tag == "conveyorLeft") {
			onConveyor = true;
			speed = -2.0f;
			right = false;
		}
	}

	void OnCollisionExit(Collision coll){
		if (coll.gameObject.tag == "conveyorRight" || coll.gameObject.tag == "conveyorLeft") {
			onConveyor = false;
		} 
	}


}
