﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameManager : MonoBehaviour {

	public GameObject cat_selector_prefab;
	public GameObject slow_cat_selector_prefab;
	public GameObject normal_cat_selector_prefab;
	public GameObject fast_cat_selector_prefab;

	public Camera camera;
	// Use this for initialization
	GameObject cat_1;
	GameObject cat_2;
	GameObject cat_3;
	public GameObject cat;

	public int catpower = 0;
	public int tmp_catpower = 0;
	public bool gameStarted = false;

	void Start () {

		Vector3 cat_pos = new Vector3 (-8f, 0.1f, 7.1f);
	 
		cat_1 = GameObject.Instantiate (slow_cat_selector_prefab, cat_pos, Quaternion.Euler (Vector3.right * 90)) as GameObject;
		cat_2 = GameObject.Instantiate (normal_cat_selector_prefab, cat_pos, Quaternion.Euler (Vector3.right * 90)) as GameObject;
		cat_3 = GameObject.Instantiate (fast_cat_selector_prefab, cat_pos, Quaternion.Euler (Vector3.right * 90)) as GameObject;

		cat_2.transform.position = new Vector3 (cat_2.transform.position.x + 2.5f, cat_2.transform.position.y, cat_2.transform.position.z);
		cat_3.transform.position = new Vector3 (cat_3.transform.position.x + 5f, cat_3.transform.position.y, cat_3.transform.position.z);

	}
	
	// Update is called once per frame
	void Update () {

		if (Input.GetMouseButtonDown (0)) {
			Ray ray = camera.ScreenPointToRay(Input.mousePosition);
			RaycastHit hit;
			if (Physics.Raycast (ray, out hit)) {
				if (hit.collider.gameObject == cat_1) {
					catpower = 10;
					cat = cat_1;
				} else if (hit.collider.gameObject == cat_2) {
					catpower = 20;
					cat = cat_2;
				} else if (hit.collider.gameObject == cat_3) {
					catpower = 50;
					cat = cat_3;
				}

			}
		}
	}
}
