﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;


public class ArrowSpawner : TriggerObject {

	public float speed = 0.0f;
	public GameObject arrowPrefab;

	private int run_count;

	public GameObject arrow;

	private Vector3 spawnPos;


	void Start(){
		spawnPos = new Vector3 (transform.position.x  ,transform.position.y -0.2f , transform.position.z); 
	}

	// Update is called once per frame
	public override void performAction () {
		Debug.Log ("Spawn");
		arrow = Instantiate (arrowPrefab, spawnPos, Quaternion.Euler (Vector3.right * 90)) as GameObject;
		arrow.GetComponent<Rigidbody> ().AddForce (speed, 0, 0);
	}
}