﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CatSpawner : MonoBehaviour {

	Camera camera;
	GameManager manager;
	// Use this for initialization
	void Start () {
		manager = GameObject.Find ("GameManager").GetComponent<GameManager>();
		camera = (Camera)FindObjectOfType(typeof(Camera));
	}
	
	// Update is called once per frame
	void Update () {
		if (Input.GetMouseButtonDown (0) && manager.catpower != 0) {
			Ray ray = camera.ScreenPointToRay(Input.mousePosition);
			RaycastHit hit;
			if (Physics.Raycast(ray, out hit)){
				if (hit.collider.gameObject == gameObject) {
					ButtonBehaviour button = gameObject.GetComponent<ButtonBehaviour>();
					button.catSpeed = manager.catpower;
					button.catFound = true;
					button.showPawUp();
					manager.catpower = 0;
					GameObject greyCat = Instantiate (Resources.Load ("Prefabs/Cat_Selector_Grey"),manager.cat.transform.position,manager.cat.transform.rotation) as GameObject;
					Destroy (manager.cat);
				}
			}
		}
	}


}
