﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Obstacle : TriggerObject {

	public float catcherSpeed = 0.0f;
	public Transform catcher;
	public int range = 0;

	public float frequence = 0.0f;
	private int run_count;
	public bool toTop = true;

	public bool spinRight;
	int i = 0;
	int j = 0;
	public bool buttonPressed;

	void Start(){
		run_count = range;
	}

	public override void performAction () {
//		if (run_count > 0 && toTop == true) {
//			Debug.Log ("UP");
//			catcher.transform.position = new Vector3 (catcher.transform.position.x , catcher.transform.position.y, catcher.transform.position.z + 1.0f);
//			run_count--;
//			if (run_count == 0) {
//				toTop = false;
//				run_count = range;
//			}
//		} else if (run_count > 0 && toTop == false) {
//			Debug.Log ("DOWN");
//			catcher.transform.position = new Vector3 (catcher.transform.position.x , catcher.transform.position.y, catcher.transform.position.z - 1.0f);
//			run_count--;
//			if (run_count == 0) {
//				toTop = true;
//				run_count = range;
//			}
//		} 
		buttonPressed = !buttonPressed;
		if (buttonPressed) {
			j = 90 - i;
			i = 0;
		} else {
			i = 90 - j;
			j = 0;
		}
	}

	void OnCollisionEnter(Collision coll){
		Debug.Log ("Collision");	
		Destroy (coll.gameObject);
	}

	void FixedUpdate ()
	{
		if (!spinRight) {

			if (i > 0) {
				transform.Rotate (0, 0, 1);
				i--;
			}

			if (j > 0) {
				transform.Rotate (0, 0, -1);
				j--;
			}
		} else {

			if (i > 0) {
				transform.Rotate (0, 0, -1);
				i--;
			}

			if (j > 0) {
				transform.Rotate (0, 0, 1);
				j--;
			}
		}

		/*
		if (spinRight) {
			if (!buttonPressed) {
				if (transform.rotation.eulerAngles.y <180) {
					transform.Rotate (Vector3.forward, speed * Time.deltaTime);
				} 
			} else {
				if (transform.rotation.eulerAngles.y > 90) {
					transform.Rotate (Vector3.forward, -speed * Time.deltaTime);
				}
			}
		} else {
			Debug.Log (transform.rotation.eulerAngles.y);
			if (buttonPressed) {
				if (transform.rotation.eulerAngles.y >90) {
					transform.Rotate (Vector3.forward, -speed * Time.deltaTime);
				} 
			} else {
				if (transform.rotation.eulerAngles.y <= 90) {
					transform.Rotate (Vector3.forward, speed * Time.deltaTime);
				}
			}
		}*/
	}
}
