﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class StartButtonBehaviour : MonoBehaviour {


	public GameManager manager;
	public Camera camera;
	public Sprite startButton;
	public Sprite resetButton;
	SpriteRenderer Srenderer;
	int allSet = 0;
	GameObject [] buttons;
	// Use this for initialization
	void Start () {
		Srenderer = GetComponent<SpriteRenderer> ();
		manager.gameStarted = false;
		Srenderer.sprite = startButton;
	}
	
	// Update is called once per frame
	void Update () {
		if (Input.GetMouseButtonDown (0)) {
			Ray ray = camera.ScreenPointToRay (Input.mousePosition);
			RaycastHit hit;
			if (Physics.Raycast (ray, out hit)) {
				if (hit.collider.gameObject == gameObject) {
					allSet = 0;
					buttons = GameObject.FindGameObjectsWithTag ("Button");
					foreach (GameObject butt in buttons) {
						if (butt.GetComponent<ButtonBehaviour> ().catFound) {
							allSet += 1;
						}
					}
					if (allSet == 3) {
						manager.gameStarted = !(manager.gameStarted);
						if (Srenderer.sprite == startButton) {
							Srenderer.sprite = resetButton;
						} else {
							SceneManager.LoadScene (SceneManager.GetActiveScene ().name);
						}
					}
				}
			}
		}
	}
}
