﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class countdownBehaviour : MonoBehaviour {

	TextMesh tMesh;
	public float timeLeft;
	public GameManager manager;
	// Use this for initialization
	void Start () {
		tMesh = gameObject.GetComponent<TextMesh> ();
	}
	
	// Update is called once per frame
	void Update () {
		if (manager.gameStarted) {
			tMesh.text = "Time left:\n" + (int)timeLeft + " seconds";
			timeLeft -= Time.deltaTime;
			if (timeLeft <= 0) {
				SceneManager.LoadScene (SceneManager.GetActiveScene ().name);
			}
		}
	}
}
